## kodi-pvr-filmon-dmo 19.0.1

=== depends/common/jsoncpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jsoncpp)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

set(SOURCES src/lib_json/json_reader.cpp
            src/lib_json/json_value.cpp
            src/lib_json/json_writer.cpp)

include_directories(${PROJECT_SOURCE_DIR}/include)

if(WIN32)
  add_compile_options(/wd4996)
endif()

add_library(jsoncpp ${SOURCES})

install(TARGETS jsoncpp DESTINATION ${CMAKE_INSTALL_PREFIX}/lib) 
install(DIRECTORY include/json DESTINATION ${CMAKE_INSTALL_PREFIX}/include/jsoncpp)

=== debian/changelog ===
kodi-pvr-filmon-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 11:17:26 +0100

kodi-pvr-filmon-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 10:44:27 +0200

kodi-pvr-filmon-dmo (1:6.1.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Aug 2021 17:58:32 +0200

kodi-pvr-filmon-dmo (1:6.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jul 2021 23:32:18 +0200

kodi-pvr-filmon-dmo (1:6.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Jul 2021 07:42:36 +0200

kodi-pvr-filmon-dmo (1:6.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jan 2021 16:25:24 +0100

kodi-pvr-filmon-dmo (2.4.6-dmo2) unstable; urgency=medium

  * Build with libjsoncpp24

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Dec 2020 19:34:44 +0100

kodi-pvr-filmon-dmo (2.4.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 May 2020 12:12:21 +0200

kodi-pvr-filmon-dmo (2.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Aug 2019 23:00:23 +0200

kodi-pvr-filmon-dmo (2.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jan 2019 11:48:11 +0100

kodi-pvr-filmon-dmo (1.4.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Aug 2017 15:51:12 +0200

kodi-pvr-filmon-dmo (1.4.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Apr 2017 08:13:04 +0200

kodi-pvr-filmon-dmo (1.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2017 14:17:15 +0100

kodi-pvr-filmon-dmo (1.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 15:21:05 +0100

kodi-pvr-filmon-dmo (0.7.8-dmo2) unstable; urgency=medium

  * Rebuild against libp8-platform2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Oct 2016 16:06:12 +0200

kodi-pvr-filmon-dmo (0.7.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2016 15:03:28 +0200

kodi-pvr-filmon-dmo (0.7.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 May 2016 01:03:09 +0200

kodi-pvr-filmon-dmo (0.7.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Mar 2016 08:07:13 +0100

kodi-pvr-filmon-dmo (0.7.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Mar 2016 18:19:14 +0100

=== debian/control ===
Source: kodi-pvr-filmon-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/kodi-pvr/pvr.filmon
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libjsoncpp-dev, ninja-build

Package: kodi-pvr-filmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: Filmon PVR client addon for Kodi
 This package contains the Filmon PVR (Personal Video Recorder) addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.filmon/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-pvr-filmon-dmo 20.3.0

=== debian/changelog ===
kodi-pvr-filmon-dmo (1:20.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 15:47:49 +0100

kodi-pvr-filmon-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 00:45:34 +0100

kodi-pvr-filmon-dmo (1:19.0.0-dmo2) unstable; urgency=medium

  * Build with libjsoncpp25

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Dec 2021 00:46:04 +0100

kodi-pvr-filmon-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 10:40:09 +0200

kodi-pvr-filmon-dmo (1:6.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Aug 2021 17:01:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.filmon
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libjsoncpp-dev, ninja-build
 
 Package: kodi-pvr-filmon

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.filmon/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.filmon/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-pvr-filmon-dmo 21.0.3

=== debian/changelog ===
kodi-pvr-filmon-dmo (1:21.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 01:05:04 +0100

kodi-pvr-filmon-dmo (1:21.0.2-dmo2) unstable; urgency=medium

  * Build with libjsoncpp26

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Sep 2024 15:13:48 +0200

kodi-pvr-filmon-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jul 2024 21:52:19 +0200

kodi-pvr-filmon-dmo (1:21.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Apr 2024 07:43:39 +0200

kodi-pvr-filmon-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 14:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.filmon
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libjsoncpp-dev, ninja-build
 
 Package: kodi-pvr-filmon

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.filmon/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
